/* ==== RESET / NORMALIZE ==== */
*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* ==== BODY & GLOBAL ==== */
body {
  font-family: system-ui, sans-serif;
  font-size: 16px;
  line-height: 1.5;
  color: #111;
}

.no-scroll {
    overflow: hidden;
    height: 100vh;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

a {
  color: inherit;
  text-decoration: none;
}

ul, ol {
  /*list-style: none;*/
}

button {
  background: none;
  border: none;
  cursor: pointer;
  font: inherit;
}

/* ==== LAYOUT ==== */

.hide {
    display: none;
}

.container {
  max-width: 1920px;
  margin-inline: auto;
  padding-inline: 1rem;
}

/* ==== HEADER ==== */
.site-header {
  color: #fff;
  padding: 1rem 0;
  box-shadow: 0px -0.2px 0px 0px rgba(255,255,255,0.29) inset;
  background: #191a1d;
  position: fixed;
  width: 100%;
  left: 0;
  top: 0;
  z-index: 999;
  transition: transform 0.2s ease-in-out;
  transform: translateY(0);
}

.site-header.is-hidden {
  transform: translateY(-100%)
}


.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-right {
    display: flex;
    gap: 10px;
    align-items: center;
}

.burger {
    display: none;
}

.header-btns {
    display: flex;
    gap: 0.75rem;
}

.btn {
    font-weight: 700;
    border-radius: 10px;
    padding: 10px 20px;
}

.btn-border {
    border: 0.3px solid #fff;
}

.btn-filled {
    background: linear-gradient(3deg, rgb(4, 255, 208) 0%, rgb(4, 255, 131) 100%);
    color: #191a1d;
}

.content-btn {
    border-radius: 50px;
}

.logo img {
    width: 200px;
}

.mobile-toggler {
    display: none;
}

@media (max-width: 767px) {
    
    .logo img {
        width: 175px;
    }

    .btn-border {
        display: none;
    }    

    .burger {
        position: relative;
        width: 40px;
        height: 30px;
        background: transparent;
        cursor: pointer;
        display: block;
        transform: scale(0.6);
        transform-origin: center center;
        z-index: 99999;
    }

    .burger input {
        display: none;
    }

    .burger span {
        display: block;
        position: absolute;
        height: 4px;
        width: 100%;
        background: #fff;
        border-radius: 9px;
        opacity: 1;
        left: 0;
        transform: rotate(0deg);
        transition: .25s ease-in-out;
    }

    .burger span:nth-of-type(1) {
        top: 0px;
        transform-origin: left center;
    }

    .burger span:nth-of-type(2) {
        top: 50%;
        transform: translateY(-50%);
        transform-origin: left center;
    }

    .burger span:nth-of-type(3) {
        top: 100%;
        transform-origin: left center;
        transform: translateY(-100%);
    }

    .burger input:checked ~ span:nth-of-type(1) {
        transform: rotate(45deg);
        top: 0px;
        left: 5px;
    }

    .burger input:checked ~ span:nth-of-type(2) {
        width: 0%;
        opacity: 0;
    }

    .burger input:checked ~ span:nth-of-type(3) {
        transform: rotate(-45deg);
        top: 28px;
        left: 5px;
    }
    
    .mobile-toggler.active {
        display: flex;
        flex-direction: column;
    }
    
    .mobile-toggler {
        padding-top: 40px;
        position: fixed;
        width: 100%;
        height: 100%;
        background: #191a1d;
        top: 0;
        left: 0;
        z-index: 10;
        justify-content: center;
        align-items: center;
    }
    
    .mobile-nav ul {
        display: flex;
        flex-direction: column;
        gap: 20px;
        align-items: center;
        margin: 0 !important;
    }
    
    .mobile-nav ul li {
        list-style: none;
        font-size: 18px;
    }

}


/* SLIDER AREA */

.slider-area {
            display: flex;
            flex-direction: column;
            gap: 20px;
            margin-top: 60px;
        }
        
        .slider-title-area {
            display: flex;
            justify-content: space-between;
            align-items: center;
            color: #fff;
        }
        
        .slider-title {
            font-size: 20px;
        }
        
        .slider-navigation {
            display: flex;
            gap: 10px;
            align-items: center;
        }
        
        .slider-navigation a {
            padding: 7px 14px 8px 14px;
            border-radius: 12px;
            border: 1px solid #fff;
            opacity: 0.5;
            transition: opacity 0.2s ease;
            font-size: 14px;
        }
        
        .slider-navigation a:hover {
            opacity: 1;
        }
        
        .slider-navigation-btns {
            display: flex;
            gap: 5px;
            align-items: center;
        }
        
        .btns-devider {
            width: 1px;
            height: 16px;
            background: #fff;
            opacity: 0.5;
        }
        
        .slider-navigation-btn {
            padding: 7px 14px 8px 14px;
            border-radius: 10px;
            cursor: pointer;
            opacity: 0.5;
            transition: all 0.2s ease;
        }
        
        .slider-navigation-btn:hover {
            opacity: 1;
            background: linear-gradient(3deg, rgb(4, 255, 208) 0%, rgb(4, 255, 131) 100%);
        }
        
        .slider-navigation-prev svg {
            transform: rotate(180deg);
        }
        
        @media (max-width: 767px) {
            .slider-area {
                margin-top: 40px;
            }
        }



/* CONTENT */

h1 {
    font-size: 54px;
    color: #fff;
    padding: 20px 0 20px;
    line-height: 1.4;
}

h2 {
    font-size: 36px;
    color: #fff;
    padding: 30px 0 20px;
}

h3 {
    font-size: 32px;
    color: #fff;
    padding: 20px 0 20px;
}

p {
    font-size: 16px;
    color: #fff;
    line-height: 28px;
    padding-bottom: 20px;
}

p img {
    margin: 0 auto;
    padding-bottom: 20px;
}

table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    color: #fff;
    margin-bottom: 20px;
}

table td,
table th {
    border: 1px solid #fff;
    padding: 10px;
    text-align: left;
    color: #fff;
    word-break: break-word;
}

table th {
    text-align: center;
}

table tr {
    background-color: transparent;
}

ul, ol {
    margin-left: 20px;
    color: #fff;
    padding-bottom: 20px;
}

@media (max-width: 1024px) {
    h1 {
        font-size: 44px;
    }
}

@media (max-width: 767px) {
    h1 {
        font-size: 32px;
    }
    
    h2 {
        font-size: 28px;
    }
    
    h3 {
        font-size: 22px;
    }
}

/* CONTENT */



/* ==== FOOTER ==== */
.site-footer {
  padding: 3rem 0 1.5rem;
  font-size: 0.875rem;
  color: #666;
}

.footer-content {
    display: flex;
    justify-content: space-between;
}

.footer-left {
    width: 30%;
    display: flex;
    flex-direction: column;
    gap: 20px
}

.footer-text {
    font-size: 13px;
    color: #8d8f99;
    line-height: 1.4;
}

.footer-logos-area {
    display: flex;
    gap: 20px;
    align-items: flex-end;
}

.footer-logos-area-right {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.footer-logos-area-right span {
    font-size: 16px;
    color: #8d8f99;
}

.footer-logo-right {
    width: 134px;
}

.footer-right {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
    width: 70%;
}

.footer-nav ul {
    display: flex;
    gap: 20px;
    margin: 0 !important;
}

.footer-nav ul li {
    list-style: none;
    color: #8d8f99;
    font-size: 16px;
    transition: color 0.2s ease;
}

.footer-nav ul li:hover {
    color: #fff;
}

.copyright {
    color: #bfbfbf;
    font-size: 16px;
}

@media (max-width: 1024px) {
    .footer-right {
        width: 40%;
    }
    
    .footer-nav ul {
        flex-wrap: wrap;
    }
}

@media (max-width: 820px) {
    .footer-left, .footer-right {
        width: 50%;
    }
    
     .footer-nav ul {
        flex-wrap: nowrap;
        flex-direction: column;
        gap: 10px;
    }
}

@media (max-width: 767px) {
    .footer-content {
        flex-direction: column;
        gap: 30px;
    }
    
    .footer-left, .footer-right {
        width: 100%;
    }
    
    .footer-right {
        align-items: center;
    }
    
    .footer-nav {
        display: none;
    }
}

/*POPUP*/

.popup-overlay {
  position: fixed;
  inset: 0;
  z-index: 9999;
  background: rgba(0, 0, 0, 0.75);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

.popup-overlay.active {
  opacity: 1;
  visibility: visible;
}

.popup-content {
    max-width: 512px;
    width: 100%;
    margin: 0 auto;
    background: #15161a;
    border-radius: 24px;
    padding: 60px 32px 20px 32px;
    position: relative;
    text-align: center;
    color: #fff;
    display: flex;
    flex-direction: column;
}

.popup-close {
    position: absolute;
    right: 20px;
    top: 20px;
    opacity: 0.7;
    cursor: pointer;
    transition: opacity 0.2s ease;
}

.popup-close:hover {
    opacity: 1;
}

.popup-subtitle {
    font-size: 20px;
    color: #8c8f99;
    font-weight: 700;
}

.popup-title {
    font-size: 32px;
    font-weight: 800;
    line-height: 1.3;
}

.popup-bonuses {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    margin: 24px 0;
}

.popup-bonuses-item {
    width: calc(50% - 4px);
    background: #24262e;
    border-radius: 16px;
    padding: 12px;
}

.popup-bonuses-item-head {
    padding-bottom: 16px;
    border-bottom: 1px dashed hsla(0,0%,100%,.1);
    display: flex;
    flex-direction: column;
}

.popup-bonuses-item-title {
    font-size: 16px;
    font-weight: 600;
}

.popup-bonuses-item-from, .popup-bonuses-item-upto {
    font-size: 12px;
    color: #8c8f99;
}

.popup-bonuses-item-footer {
    padding-top: 12px;
    display: flex;
    flex-direction: column;
}

.popup-bonuses-item-value {
    font-size: 24px;
    color: #38f169;
    font-weight: 700;
}

.popup-btn {
    padding-top: 12px;
    padding-bottom: 12px;
    font-size: 18px;
}

.popup-info {
    margin-top: 16px;
    opacity: 0.7;
    transition: opacity 0.2s ease;
}

.popup-info:hover {
    opacity: 1;
}

@media (max-width: 767px) {
    .popup-content {
        padding: 60px 12px 20px 12px;
        width: 95%;
    }
    
    .popup-title {
        font-size: 24px;
    }
    
    .popup-bonuses-item-value {
        font-size: 18px;
    }
}

/*LANGUAGE SWITCHER*/

/* Стиль контейнера */
.switcher-area {
  position: relative;
  margin-right: 20px;
}

.msls-menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

.msls-menu li {
  position: relative;
  display: inline-block;
}

.msls-menu li a img {
    width: 30px;
    height: 18px;
    
}

/* Кнопка текущего языка */
.msls-menu .current_language {
  display: flex;
  align-items: center;
  gap: 6px;
  font-weight: 600;
  padding: 6px 10px;
  position: relative;
  cursor: pointer;
  padding-right: 24px;
}

.msls-menu .current_language:before {
  content: '';
  position: absolute;
  right: 4px;
  top: 50%;
  transform: translateY(-50%);
  width: 12px;
  height: 7px;
  background: url("data:image/svg+xml,%3Csvg%20width%3D%2214%22%20height%3D%229%22%20viewBox%3D%220%200%2014%209%22%20fill%3D%22none%22%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%3E%3Cpath%20d%3D%22M2%202L7%207L12%202%22%20stroke%3D%22%23FFFFFF%22%20stroke-width%3D%222.25%22%20stroke-linecap%3D%22round%22%20stroke-linejoin%3D%22round%22/%3E%3C/svg%3E") no-repeat center;
  pointer-events: none;
}

/* Скрытые языки */
.lang-dropdown {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: #191a1d;
  min-width: 100%;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
  z-index: 999;
  flex-direction: column;
  padding: 4px 0;
  border-radius: 4px;
}

.lang-dropdown a {
  display: flex;
  align-items: center;
  gap: 6px;
  padding: 6px 10px;
  text-decoration: none;
  color: #fff;
  white-space: nowrap;
  transition: background 0.2s;
}

.lang-dropdown a:hover {
  background: #191a1d;
}

/* Активный дропдаун */
.lang-dropdown.active {
  display: flex;
}

@media (max-width: 767px) {
    .switcher-area {
        display: none;
    }
    
    .switcher-area-mob {
        display: block;
    }
}


